PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="8c85e612-ed1c-4f97-9f8c-8194e07bcf71"
curl -X GET "https://api.pinecone.io/backups/$BACKUP_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
{
"backup_id": "670e8400-e29b-41d4-a716-446655440000",
"cloud": "aws",
"created_at": "2025-03-15T10:30:00.000Z",
"description": "Monthly backup of production index",
"name": "backup-2025-03-15",
"namespace_count": 3,
"record_count": 120000,
"region": "us-east-1",
"schema": {
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10000000,
"source_index_id": "670e8400-e29b-41d4-a716-446655440001",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "monthly"
}
}"Invalid API key"{
"error": {
"code": "PERMISSION_DENIED",
"message": "Access denied: Permission control::backups::list is required"
},
"status": 403
}{
"error": {
"code": "NOT_FOUND",
"message": "Backup bkp_123abc not found."
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Describe a backup
Get a description of a backup.
PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="8c85e612-ed1c-4f97-9f8c-8194e07bcf71"
curl -X GET "https://api.pinecone.io/backups/$BACKUP_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
{
"backup_id": "670e8400-e29b-41d4-a716-446655440000",
"cloud": "aws",
"created_at": "2025-03-15T10:30:00.000Z",
"description": "Monthly backup of production index",
"name": "backup-2025-03-15",
"namespace_count": 3,
"record_count": 120000,
"region": "us-east-1",
"schema": {
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10000000,
"source_index_id": "670e8400-e29b-41d4-a716-446655440001",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "monthly"
}
}"Invalid API key"{
"error": {
"code": "PERMISSION_DENIED",
"message": "Access denied: Permission control::backups::list is required"
},
"status": 403
}{
"error": {
"code": "NOT_FOUND",
"message": "Backup bkp_123abc not found."
},
"status": 404
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}PINECONE_API_KEY="YOUR_API_KEY"
BACKUP_ID="8c85e612-ed1c-4f97-9f8c-8194e07bcf71"
curl -X GET "https://api.pinecone.io/backups/$BACKUP_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
Authorizations
Headers
Required date-based version header
Path Parameters
The ID of the backup to describe.
Response
Configuration information and deployment status of the backup.
The BackupModel describes the configuration and status of a Pinecone backup.
Unique identifier for the backup.
"670e8400-e29b-41d4-a716-446655440001"
Name of the index from which the backup was taken.
"my-index"
ID of the index from which the backup was taken.
"670e8400-e29b-41d4-a716-446655440000"
Current status of the backup.
"Ready"
Cloud provider where the backup is stored.
"aws"
Cloud region where the backup is stored.
"us-east-1"
The deletion timestamp when the source index has been deleted. Not present for backups associated with an active index.
"2024-03-05T12:00:00.000Z"
Optional user-defined name for the backup.
"backup-2025-02-04"
Optional description providing context for the backup.
"Backup before bulk update."
The schema of a Pinecone index. The schema defines the typed fields that documents in the index can contain, including vector fields, semantic text fields, and metadata fields.
Show child attributes
Show child attributes
{
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
},
"title": {
"full_text_search": {
"language": "en",
"stemming": false,
"stop_words": false
},
"type": "string"
}
}
}
Total number of records in the backup.
120000
Number of namespaces in the backup.
3
Size of the backup in bytes.
10000000
Custom user tags added to an index, at most 20 per index. Keys must be 80 characters or less and alphanumeric, '_', or '-'. Values must be 120 characters or less and consist of printable ASCII characters or spaces. To unset a key, set the value to be an empty string. null in responses when the index has no tags.
Show child attributes
Show child attributes
{ "tag0": "val0", "tag1": "val1" }
Timestamp when the backup was created.
"2025-02-04T10:30:00.000Z"
Was this page helpful?